com.mxgraph.layout

## Class mxEdgeLabelLayout

- java.lang.Object
- - com.mxgraph.layout.mxGraphLayout
  - - com.mxgraph.layout.mxEdgeLabelLayout

- All Implemented Interfaces:
    mxIGraphLayout

      public class mxEdgeLabelLayout
      extends mxGraphLayout

- - ### Field Summary

    - ### Fields inherited from class com.mxgraph.layout.mxGraphLayout

      `graph, parent, useBoundingBox`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxEdgeLabelLayout(mxGraph graph)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `avoid(mxCellState edge, mxCellState vertex)`
    `void` | `execute(java.lang.Object parent)` Executes the layout for the children of the specified parent.
    `protected void` | `placeLabels(java.lang.Object[] v, java.lang.Object[] e)`

    - ### Methods inherited from class com.mxgraph.layout.mxGraphLayout

      `arrangeGroups, getConstraint, getConstraint, getGraph, getParentOffset, getVertexBounds, isEdgeIgnored, isUseBoundingBox, isVertexIgnored, isVertexMovable, moveCell, setEdgePoints, setEdgeStyleEnabled, setOrthogonalEdge, setUseBoundingBox, setVertexLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### mxEdgeLabelLayout

          public mxEdgeLabelLayout(mxGraph graph)

      Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

  - ### Method Detail

    - #### execute

          public void execute(java.lang.Object parent)

      Description copied from interface: `mxIGraphLayout`
      Executes the layout for the children of the specified parent.
      Specified by:
        `execute` in interface `mxIGraphLayout`
      Overrides:
        `execute` in class `mxGraphLayout`
      Parameters:
        `parent` - Parent cell that contains the children to be layed out.

    - #### placeLabels

          protected void placeLabels(java.lang.Object[] v,
                         java.lang.Object[] e)

    - #### avoid

          protected void avoid(mxCellState edge,
                   mxCellState vertex)

Copyright (c) 2010 Gaudenz Alder. All rights reserved.